{
  "name": "loop",
  "preset": "ts-jest",
  "verbose": true,
  "testEnvironment": "node",
  "moduleNameMapper": {
    "~/(.*)": "<rootDir>/src/$1"
  },
  "transform": {
    "^.+\\.hbs$": "<rootDir>/node_modules/handlebars-jest"
  },
  "globals": {
    "CONFIG": {
      "Loop": {
        "name": "Test Loop"
      }
    },
    "handlebars-jest": {
      "partialDirs": [
        "<rootDir>/src/templates/components"
      ],
      "helperExtensions": [
        ".hbs",
        ".ts"
      ],
      "helperDirs": [
        "<rootDir>/src/helpers/handlebars"
      ]
    }
  },
  "coveragePathIgnorePatterns": ["<rootDir>/src/templates/"],
  "testPathIgnorePatterns": ["dist/"],
  "reporters": [
    "default",
    [
      "./node_modules/jest-html-reporter",
      {
        "pageTitle": "Test Report",
        "outputPath": "./additional-artifacts/test-report.html"
      }
    ],
    [
      "./node_modules/jest-junit",
      {
        "outputDirectory": "./additional-artifacts/",
        "outputName": "test-report.xml"
      }
    ]
  ],
  "coverageReporters": [
    "text",
    "cobertura"
  ],
  "coverageDirectory": "additional-artifacts"
}
